2017-09-25 18:36 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000443Kali Linux[All Projects] General Bugpublic2014-10-21 08:45
Reportermember234124 
Assigned Torhertzog 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version1.0.4 
Target Version1.0.5Fixed in Version1.0.5 
Summary0000443: LVM Crypt can't be mounted during the 1st boot of the system
Descriptionwhen LVM crypt is choosen during install, the system wont boot.

The error message:

Booting the kernel
Loading, please wait...
 Volume group "<hostname>" not found
 Skipping volume group <hostname>
Unable to find LVM volue <hostname>/root
Gave up waiting for root device. Common problems:


tried it with a separate /home, and with a / only
Steps To ReproduceInstall Kali 1.0 with LVM crypt
Attached Files

-Relationships
+Relationships

-Notes

~0000656

neopunk (reporter)

I confirm the exact same issue.

Hypervisor: Windows 8.1
Guest: Kali Linux 1.0.4 x64
Install: Default GUI install with LVM encryption

~0000658

xtixti (reporter)

I experienced the same issue when installing on an encrypted lvm xfs partition setup.

The problem occurs when the kernel can't find an entry for the encrypted partition in /etc/crypttab. An entry similar to the one below placed in /etc/crypttab will solve the problem.

sdaX_crypt uuid=<encrypted partition uuid> none luks

sdaX_crypt -> the target name to be created in /dev/mapper/

luks -> the passphrase will be ask during boot

initramdisk needs to be recreated and bootloader reinstalled.

~0000794

rhertzog (administrator)

So, after investigation, the issue is with the live installer (it overwrites /etc/crypttab setup by partman-crypto). This means that doing those install from the "*-mini.iso" work fine (because the live-installer udeb is not used there).

I have just pushed a fixed live-installer (version 43~kali1), you'll be able to use fixed daily images starting from tomorrow. And the next point release will have this fixed for the main ISOs. People generating their own ISO will automatically use the fixed package as well.
+Notes

-Issue History
Date Modified Username Field Change
2013-07-13 19:20 member234124 New Issue
2013-07-31 18:49 neopunk Note Added: 0000656
2013-08-02 10:03 xtixti Note Added: 0000658
2013-08-26 14:06 rhertzog Note Added: 0000794
2013-08-26 14:06 rhertzog Status new => resolved
2013-08-26 14:06 rhertzog Resolution open => fixed
2013-08-26 16:25 muts Product Version => 1.0.4
2013-08-26 16:25 muts Fixed in Version => 1.0.5
2013-08-26 16:25 muts Target Version => 1.0.5
2013-08-26 16:54 muts Assigned To => rhertzog
2014-11-21 20:03 haider Issue cloned: 0001922
+Issue History